Mise à jour impossible vers v12.x.x

Je suis actuellement en version 11.0.5 et j’ai voulu une première fois faire la mise à jour en 12.0.0 et ça n’a pas marché. J’ai ressayé avec la version 12.0.1 et j‘ai eu un message d’erreur de Mysql. Et comme ça m’avait bousillé mon installation, j’ai dû refaire l’installation en 11.0.5. J’avais déjà parlé du problème et je n’ai eu aucun écho à cette demande. Et là, la version 12.0.2 étant sortie depuis quatre jours, j’ai voulu réitérer l’expérience : en vain. J’ai toujours le même message d’erreur et la fenêtre reste plantée, impossible de la fermer. Du coup, je reviens en version 11.0.5. Ce n’est pas très sérieux.


J’ai même tenté une installation à partir de zéro, et j’obtiens une erreur de connexion impossible. Je vais donc tenter de revenir à l’installation précédente. Comment perdre du temps !


Donc, en résumé, avec mon Windows 10 20H2, la version 11.0.5 s’installe et s’utilise correctement sans aucun, problème ; la version 12.0.2 (et précédente) s’installe mais ne se lance pas et la mise à jour de la version 11.0.5 vers la 12 ne marche pas.

Bonjour,

Pour ne pas rester seul : https://wiki.dolibarr.org/index.php/List_of_Dolibarr_partners_and_providers

Réponse très constructive. Je sais ce qu’il me reste à faire. Merci, je vais économiser mes deux cents euros de dons cette année.

2 « J'aime »

Pour des raisons techniques,. Il n’est pas possible de migrer, en utilisant DoliWamp, vers une 12.0 (les migrations fonctionnent de version n-1 à n avec n <= 11 ou n >=13. Seule l’installation via la distribution standard permet un migration vers une version 12.0

Par contre, une installation from scratch avec DoliWamp de la v12 devrait fonctionner. Peut être la version précédente n’avait pas était désinstallée entièrement ?

Bonsoir, Eldy et merci pour la réponse.
J’avais bien désinstallé la précédente version, viré le dossier d’installation et redémarré ma machine. Je l’ai même fait deux fois. En vain. Aucune connexion à localhost.
J’ai réinstaller la version 11.0.5 et récupéré mon dernier backup et tout va bien. Mais c’est fastidieux. Et il n’est dit nulle part que la migration Doliwamp est impossible. Je suis donc condamné à rester en version 11.0.x ?

Bonjour,
Je n’ai pas de solution précise à votre problème, mais j’ai été confronté au même.
Première installation Doliwamp en version 11.0.3, puis j’ai voulu mettre à jour en 12.0.1 avec Doliwamp (Windows 10 version 2004), et bloqué par le même message d’erreur que vous.
Je n’ai pas trouvé de solution avec l’installeur Doliwamp, mais en le désinstallant et en effectuant une installation manuelle complète (vraiment très bien expliquée et détaillée ici) cela a fonctionné.
Et en bonus, j’ai résolu mon problème de latence de chargement des pages web de Dolibarr…

2 « J'aime »

Bonjour, Kev,
Merci du tuyau. Je verrai ça à la rentrée, mais ça peut être une excellente idée.

Si vous savez faire une sauvegarde et restauration, vous pouvez:

  • sauvegarder la v11
  • désinstaller complétement la v11
  • installer DoliWamp v12
  • restaurer la base, puis accéder à l’appli, ce qui déclenchera le mécanisme de migration natif de Dolibarr v11 vers v12
    C’est l’automatisme pour passer de la v11 à v12 via l’autoinstalleur qui n’est pas possible avec DoliWamp (car DoliWamp change son socle technique en v12 et la nouvelle version de mariadb qui est déployé ne sait récupérer la base automatiquement depuis l’ancien mysql).
1 « J'aime »

Sauf que lorsque j’installe la v12, il n’y a plus rien qui s’affiche… page inaccessible comme si Apache était arrêté…

L’installation a du échouer. Peut etre que l’installation de la v11 n’était pas complète.
Vérifier que tout est bien désinstaller avant de réessayer d’installer la v12.

J’ai réglé le problème tout seul… En fait, j’utilisais jusqu’à présent un dossier D:\Dolibarr_CCTP pour l’installation et ça marchait parfaitement bien jusqu’à l’avènement de la version 12… qui ne peut fonctionner que si le dossier est \dolibarr et ne souffre d’aucune fantaisie (pas de capitale Dolibarr, pas d’ajout quelconque derrière ni devant…) et doit être c:\dolibarr ou d:\dolibarr
Donc, voilà, je viens enfin de migrer à la version 12.0.3…

2 « J'aime »

En effet, avec la version 12, ça va beaucoup plus vite, je confirme !

1 « J'aime »